Frequently Asked Questions

Why am I getting an error that my graphics need OpenGL 3.2?
Last Updated about a month ago

Your graphics drivers may be out of date or your installation may be broken.

How do I update my graphics drivers?

If you are still receiving this error after installing the latest graphics driver and your system meets the minimum requirements then please contact support.

Please Wait!

Please wait... it will take a second!